Inhalte
Index 🔎︎

# Funktion Round [VBA]

Die Funktion Round gibt eine auf eine angegebene Anzahl von Nachkommastellen gerundete Zahl zurück.

Diese Funktion oder Konstante wird mit der Anweisung Option VBASupport 1 aktiviert, die in einem Modul vor dem ausführbaren Programmcode steht.

### Syntax:

            Round( expression as Double [,numdecimalplaces as Integer] )

### Rückgabewert:

Double

### Parameter:

expression: Erforderlich. Der zu rundende numerische Ausdruck.

numdecimalplaces: Optional. Legt fest, wie viele Stellen rechts der Dezimalstelle in die Rundung einbezogen werden sollen. Standard ist 0.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

            REM ***** BASIC *****
            Option VBASupport 1
            Sub Example_Round
             Dim r
             r = Pi
             print r ' 3,14159265358979
             print Round(r, 5) ' 3,14159
             r = exp(1)
             print r ' 2,71828182845904
             print Round(r) ' 3
            End Sub

Verwandte Themen

Funktion RUNDEN (ROUND) in Calc

VBA - Mathematische Funktionen